VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Impression dans un PDF"
   ClientHeight    =   885
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4215
   LinkTopic       =   "Form1"
   ScaleHeight     =   885
   ScaleWidth      =   4215
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "Crer PDF"
      Height          =   615
      Left            =   1440
      TabIndex        =   0
      Top             =   120
      Width           =   1335
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private WithEvents PDF As PDFCreator.clsPDFCreator
Attribute PDF.VB_VarHelpID = -1
Private PDFError As clsPDFCreatorError
Private PDFOptions As clsPDFCreatorOptions
Private PDFCreatorRun As Boolean

Private Sub Form_Load()
  'Crer les objets et dmarrer PDFCrator
  PDFCreatorRun = False
  Set PDF = New clsPDFCreator
  Set PDFError = New clsPDFCreatorError
  PDF.cVisible = True
  If Not PDF.cStart("/NoProcessingAtStartup") Then
    If Not PDF.cStart("/NoProcessingAtStartup", True) Then
      'PDFCrator ne dmarre pas
      Command1.Enabled = False
      MsgBox "PDFCrator ne parvient pas  dmarrer"
      Exit Sub
    End If
    'Utiliser une instance de PDFCreator dj existante
    PDF.cVisible = True
  End If
  Set PDFOptions = PDF.cOptions
  PDFCreatorRun = True
End Sub

Private Sub Form_Unload(Cancel As Integer)
  DoEvents
  If PDFCreatorRun Then PDF.cClose
  Set PDF = Nothing
  Set PDFError = Nothing
  Set PDFOptions = Nothing
End Sub

Private Sub Command1_Click()
  Dim DefaultPrinter As String, Chaine$
  Dim i As Integer
  Chaine$ = "Hello World"
  Screen.MousePointer = vbHourglass
  Command1.Enabled = False
  DefaultPrinter = PDF.cDefaultPrinter
  PDF.cVisible = False
  'Dfinir les options
  PDFOptions.AutosaveDirectory = App.Path
  PDFOptions.AutosaveFilename = "Test"
  PDFOptions.UseAutosave = 1
  PDFOptions.UseAutosaveDirectory = 1
  PDFOptions.AutosaveFormat = 0   'Format PDF
  Set PDF.cOptions = PDFOptions
  PDF.cClearCache
  PDF.cDefaultPrinter = "PDFCreator"
  'Maintenant on imprime
  Printer.Line (500, 500)-(Printer.ScaleWidth - 500, Printer.ScaleHeight - 500), , B
  Printer.Line (3500, 3500)-(Printer.ScaleWidth - 3500, Printer.ScaleHeight - 3500), , B
  Printer.Font.Size = 30
  Printer.CurrentX = (Printer.ScaleWidth - Printer.TextWidth(Chaine$)) / 2
  Printer.CurrentY = (Printer.ScaleHeight - Printer.TextHeight(Chaine$)) / 2
  Printer.Print Chaine$
  Printer.EndDoc
  PDF.cPrinterStop = False
  'Attendre la fin de l'impression signale par l'venement PDF_eReady
  Do While Not PDF.cPrinterStop
      DoEvents
  Loop
  PDF.cVisible = True
  PDF.cDefaultPrinter = DefaultPrinter
  Command1.Enabled = True
  Screen.MousePointer = vbNormal
End Sub

Private Sub PDF_eReady()
    PDF.cPrinterStop = True
End Sub

Private Sub PDF_eError()
  If PDFCreatorRun Then
    Set PDFError = PDF.cError
    MsgBox "Erreur N" & PDFError.Number & " : " & PDFError.Description
    Screen.MousePointer = vbNormal
  End If
End Sub
